// Variables para setear
onload=function() 
{
	cAyuda=document.getElementById("mensajesAyuda"); 			//ya
	cNombre=document.getElementById("ayudaTitulo"); 			//ya
	cTex=document.getElementById("ayudaTexto"); 				//ya
	divTransparente=document.getElementById("transparencia"); 	//ya
	divMensaje=document.getElementById("transparenciaMensaje"); //ya
	form=document.getElementById("forma"); 						//ya
	urlDestino="cambios.php";
	
	claseNormal="input";
//	claseNormal="Normal";
	claseError="inputError";
	claseDia="Dia";	
	claseRadio="radio";		
	claseTest="test";	
	
	ayuda=new Array();
	ayuda["abiblioteca"]="Este campo sera la sumatoria de los tres campos de abajo.";
	ayuda["aestanteria"]="Metros cuadrados que ocupa la estanteria. OBLIGATORIO";	
	ayuda["apersonal"]="Metros cuadrados que ocupa el area de personal. OBLIGATORIO";	
	ayuda["alectura"]="Metros cuadrados que ocupa el area de lectura. OBLIGATORIO";
	ayuda["aasientos"]="Ingresa un teléfono de contacto.";
	ayuda["alunes"]="Ingresa un e-mail válido. OBLIGATORIO";
	ayuda["asabado"]="fghdfgh";
	ayuda["adomingo"]="dfghdfghdfgh";
	ayuda["adias"]="tghfdghdfghdfghdfgh";
	ayuda["aclasificacion"]="fdghdfhdfghdfghdfghdfgh";
	ayuda["aespecifique"]="cvnbcvncvbncvncvn";
	ayuda["acatalogo"]="54twe45tw45tw45tw45t";
	ayuda["atestante"]="rdthdfgncncbnghn";
	ayuda["ametros"]="w45gw54gw45g";	
	ayuda["ausuarios"]="bdt brgw4";	
	ayuda["ainscritor"]="35t w45t w45y ";		
	
	
	preCarga("ok.gif", "loading.gif", "error.gif");
}

function preCarga() 
	{
	imagenes=new Array();
	for(i=0; i<arguments.length; i++){
		imagenes[i]=document.createElement("img");
		imagenes[i].src=arguments[i];
		}
	}

function nuevoAjax()
{ 
	var xmlhttp=false; 
	try 
	{ 
		// No IE
		xmlhttp=new ActiveXObject("Msxml2.XMLHTTP"); 
	}
	catch(e)
	{ 
		try
		{ 
			// IE 
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP"); 
		} 
		catch(E) { xmlhttp=false; }
	}
	if (!xmlhttp && typeof XMLHttpRequest!="undefined") { xmlhttp=new XMLHttpRequest(); } 
	return xmlhttp; 
}

function limpiaForm()
	{
	for(i=1; i<=49; i++){
		if (form.elements[i].className!='Radio')	form.elements[i].className=claseTest;
		}
		//document.getElementById("temas").className=claseTest;
	}

function campoError(campo)
{
//	campo.className=claseNormal;
//	alert(campo.type);	 // Aqui le seguimos poniendo
//	alert(campo.className);	 // Aqui le seguimos poniendo	
//	if (campo.type='text'){
		campo.className=claseError; 


//		campo.className=claseError; //<<<--Original
		error=1;
	//	}
}

function ocultaMensaje()
{
	divTransparente.style.display="none";
}

function muestraMensaje(mensaje)
{
	divMensaje.innerHTML=mensaje;
	divTransparente.style.display="block";
//	divTransparente.style.display
}

function eliminaEspacios(cadena)
{
	// Funcion para eliminar espacios delante y detras de cada cadena
	while(cadena.charAt(cadena.length-1)==" ") cadena=cadena.substr(0, cadena.length-1);
	while(cadena.charAt(0)==" ") cadena=cadena.substr(1, cadena.length-1);
	return cadena;
}

function validaLongitud(valor, permiteVacio, minimo, maximo)
{
	var cantCar=valor.length;
	if(valor=="")
	{
		if(permiteVacio) return true;
		else return false;
	}
	else
	{
		if(cantCar>=minimo && cantCar<=maximo) return true;
		else return false;
	}
}

function validaValor(valor, minimo, maximo)
{
//	var valorCar=valor.value;
	//{
	if(valor>=minimo && valor<=maximo) return true;
	else return false;
//	}
}

/*function validaCorreo(valor)
{
	var reg=/(^[a-zA-Z0-9._-]{1,30})@([a-zA-Z0-9.-]{1,30}$)/;
	if(reg.test(valor)) return true;
	else return false;
}*/

function validaForm(){
	limpiaForm();
	error=0;

	var librost1=eliminaEspacios(form.librost1.value);
	var librost2=eliminaEspacios(form.librost2.value);
	var librost3=eliminaEspacios(form.librost3.value);
	var librosv1=eliminaEspacios(form.librosv1.value);
	var librosv2=eliminaEspacios(form.librosv2.value);
	var librosv3=eliminaEspacios(form.librosv3.value);
	var publicacionest1=eliminaEspacios(form.publicacionest1.value);
	var publicacionest2=eliminaEspacios(form.publicacionest2.value);
	var publicacionest3=eliminaEspacios(form.publicacionest3.value);
	var publicacionesv1=eliminaEspacios(form.publicacionesv1.value);
	var publicacionesv2=eliminaEspacios(form.publicacionesv2.value);
	var publicacionesv3=eliminaEspacios(form.publicacionesv3.value);
	var tesis1=eliminaEspacios(form.tesis1.value);
	var tesis2=eliminaEspacios(form.tesis2.value);
	var tesis3=eliminaEspacios(form.tesis3.value);
	var documentos1=eliminaEspacios(form.documentos1.value);
	var documentos2=eliminaEspacios(form.documentos2.value);
	var documentos3=eliminaEspacios(form.documentos3.value);	
	var mapas1=eliminaEspacios(form.mapas1.value);
	var mapas2=eliminaEspacios(form.mapas2.value);
	var mapas3=eliminaEspacios(form.mapas3.value);
	var micro1=eliminaEspacios(form.micro1.value);
	var micro2=eliminaEspacios(form.micro2.value);
	var micro3=eliminaEspacios(form.micro3.value);
	var diapositivas1=eliminaEspacios(form.diapositivas1.value);
	var diapositivas2=eliminaEspacios(form.diapositivas2.value);
	var diapositivas3=eliminaEspacios(form.diapositivas3.value);
	var peliculas1=eliminaEspacios(form.peliculas1.value);
	var peliculas2=eliminaEspacios(form.peliculas2.value);
	var peliculas3=eliminaEspacios(form.peliculas3.value);	
	var discos1=eliminaEspacios(form.discos1.value);
	var discos2=eliminaEspacios(form.discos2.value);
	var discos3=eliminaEspacios(form.discos3.value);
	var video1=eliminaEspacios(form.video1.value);
	var video2=eliminaEspacios(form.video2.value);
	var video3=eliminaEspacios(form.video3.value);
	var cd1=eliminaEspacios(form.cd1.value);
	var cd2=eliminaEspacios(form.cd2.value);
	var cd3=eliminaEspacios(form.cd3.value);
	var digital1=eliminaEspacios(form.digital1.value);
	var digital2=eliminaEspacios(form.digital2.value);
	var digital3=eliminaEspacios(form.digital3.value);	
	var disquetes1=eliminaEspacios(form.disquetes1.value);
	var disquetes2=eliminaEspacios(form.disquetes2.value);
	var disquetes3=eliminaEspacios(form.disquetes3.value);	
	var sumasita=eliminaEspacios(form.sumasita.value);
	var suma=eliminaEspacios(form.suma.value);	
		
	librost1=parseInt(librost1); if (!(librost1>=0)) librost1=0;
	librost2=parseInt(librost2); if (!(librost2>=0)) librost2=0;
	librost3=parseInt(librost3); if (!(librost3>=0)) librost3=0;
	librosv1=parseInt(librosv1); if (!(librosv1>=0)) librosv1=0;
	librosv2=parseInt(librosv2); if (!(librosv2>=0)) librosv2=0;
	librosv3=parseInt(librosv3); if (!(librosv3>=0)) librosv3=0;
	publicacionest1=parseInt(publicacionest1); if (!(publicacionest1>=0)) publicacionest1=0;
	publicacionest2=parseInt(publicacionest2); if (!(publicacionest2>=0)) publicacionest2=0;
	publicacionest3=parseInt(publicacionest3); if (!(publicacionest3>=0)) publicacionest3=0;
	publicacionesv1=parseInt(publicacionesv1); if (!(publicacionesv1>=0)) publicacionesv1=0;
	publicacionesv2=parseInt(publicacionesv2); if (!(publicacionesv2>=0)) publicacionesv2=0;
	publicacionesv3=parseInt(publicacionesv3); if (!(publicacionesv3>=0)) publicacionesv3=0;	 
	tesis1=parseInt(tesis1); if (!(tesis1>=0)) tesis1=0;
	tesis2=parseInt(tesis2); if (!(tesis2>=0)) tesis2=0;
	tesis3=parseInt(tesis3); if (!(tesis3>=0)) tesis3=0;
	documentos1=parseInt(documentos1); if (!(documentos1>=0)) documentos1=0;
	documentos2=parseInt(documentos2); if (!(documentos2>=0)) documentos2=0;
	documentos3=parseInt(documentos3); if (!(documentos3>=0)) documentos3=0;
	mapas1=parseInt(mapas1); if (!(mapas1>=0)) mapas1=0;
	mapas2=parseInt(mapas2); if (!(mapas2>=0)) mapas2=0;
	mapas3=parseInt(mapas3); if (!(mapas3>=0)) mapas3=0;
	micro1=parseInt(micro1); if (!(micro1>=0)) micro1=0;
	micro2=parseInt(micro2); if (!(micro2>=0)) micro2=0;
	micro3=parseInt(micro3); if (!(micro3>=0)) micro3=0;
	diapositivas1=parseInt(diapositivas1); if (!(diapositivas1>=0)) diapositivas1=0;
	diapositivas2=parseInt(diapositivas2); if (!(diapositivas2>=0)) diapositivas2=0; 
	diapositivas3=parseInt(diapositivas3); if (!(diapositivas3>=0)) diapositivas3=0;
	peliculas1=parseInt(peliculas1); if (!(peliculas1>=0)) peliculas1=0;
	peliculas2=parseInt(peliculas2); if (!(peliculas2>=0)) peliculas2=0;
	peliculas3=parseInt(peliculas3); if (!(peliculas3>=0)) peliculas3=0;
	discos1=parseInt(discos1); if (!(discos1>=0)) discos1=0;
	discos2=parseInt(discos2); if (!(discos2>=0)) discos2=0;
	discos3=parseInt(discos3); if (!(discos3>=0)) discos3=0;
	video1=parseInt(video1); if (!(video1>=0)) video1=0;
	video2=parseInt(video2); if (!(video2>=0)) video2=0;
	video3=parseInt(video3); if (!(video3>=0)) video3=0;
	cd1=parseInt(cd1); if (!(cd1>=0)) cd1=0;
	cd2=parseInt(cd2); if (!(cd2>=0)) cd2=0;
	cd3=parseInt(cd3); if (!(cd3>=0)) cd3=0;
	digital1=parseInt(digital1); if (!(digital1>=0)) digital1=0;
	digital2=parseInt(digital2); if (!(digital2>=0)) digital2=0;
	digital3=parseInt(digital3); if (!(digital3>=0)) digital3=0;
	disquetes1=parseInt(disquetes1); if (!(disquetes1>=0)) disquetes1=0;
	disquetes2=parseInt(disquetes2); if (!(disquetes2>=0)) disquetes2=0;
	disquetes3=parseInt(disquetes3); if (!(disquetes3>=0)) disquetes3=0;
	
	if(librosv1>=1 && !(librost1>=1) || librost1>librosv1)campoError(form.librost1);
	if(librosv2>=1 && !(librost2>=1) || librost2>librosv2)campoError(form.librost2);	
	if(librosv3>=1 && !(librost3>=1) || librost3>librosv3)campoError(form.librost3);	
	
	if(publicacionesv1>=1 && !(publicacionest1>=1) || publicacionest1>publicacionesv1)campoError(form.publicacionest1);
	if(publicacionesv2>=1 && !(publicacionest2>=1) || publicacionest2>publicacionesv2)campoError(form.publicacionest2);	
	if(publicacionesv3>=1 && !(publicacionest3>=1) || publicacionest3>publicacionesv3)campoError(form.publicacionest3);		
		
	
 
	if(librost1>librost2) campoError(form.librost2);
	if(librost2==0 && librost3>0) campoError(form.librost3);
	if(librosv1>librosv2) campoError(form.librosv2);	
	if(librosv2==0 && librosv3>0) campoError(form.librosv3);	
	if(publicacionest1>publicacionest2) campoError(form.publicacionest2);
	if(publicacionest2==0 && publicacionest3>0) campoError(form.publicacionest3);		
	if(publicacionesv1>publicacionesv2) campoError(form.publicacionesv2);	
	if(publicacionesv2==0 && publicacionesv3>0) campoError(form.publicacionesv3);	
	if(tesis1>tesis2) campoError(form.tesis2);
	if(tesis2==0 && tesis3>0) campoError(form.tesis3);		
	if(documentos1>documentos2) campoError(form.documentos2);	
	if(documentos2==0 && documentos3>0) campoError(form.documentos3);			
	if(mapas1>mapas2) campoError(form.mapas2);
	if(mapas2==0 && mapas3>0) campoError(form.mapas3);				
	if(micro1>micro2) campoError(form.micro2);	
	if(micro2==0 && micro3>0) campoError(form.micro3);	
	if(diapositivas1>diapositivas2) campoError(form.diapositivas2);	
	if(diapositivas2==0 && diapositivas3>0) campoError(form.diapositivas3);	
	if(peliculas1>peliculas2) campoError(form.peliculas2);
	if(peliculas2==0 && peliculas3>0) campoError(form.peliculas3);		
	if(discos1>discos2) campoError(form.discos2);	
	if(discos2==0 && discos3>0) campoError(form.discos3);	
	if(video1>video2) campoError(form.video2);
	if(video2==0 && video3>0) campoError(form.video3);	
	if(cd1>cd2) campoError(form.cd2);	
	if(cd2==0 && cd3>0) campoError(form.cd3);	
	if(digital1>digital2) campoError(form.digital2);
	if(digital2==0 && digital3>0) campoError(form.digital3);	
	if(disquetes1>disquetes2) campoError(form.disquetes2);
	if(disquetes2==0 && disquetes3>0) campoError(form.disquetes3);	

	if(form.librost[0].checked) librost=2;
	if(form.librost[1].checked) librost=1;	
	if(form.librost[2].checked) librost=0;	
	if(form.publicacionest[0].checked) publicacionest=2;
	if(form.publicacionest[1].checked) publicacionest=1;	
	if(form.publicacionest[2].checked) publicacionest=0;
	if(form.tesis[0].checked) tesis=2;
	if(form.tesis[1].checked) tesis=1;	
	if(form.tesis[2].checked) tesis=0;	
	if(form.documentos[0].checked) documentos=2;
	if(form.documentos[1].checked) documentos=1;	
	if(form.documentos[2].checked) documentos=0;	
	if(form.mapas[0].checked) mapas=2;
	if(form.mapas[1].checked) mapas=1;	
	if(form.mapas[2].checked) mapas=0;	
	if(form.material[0].checked) material=2;
	if(form.material[1].checked) material=1;	
	if(form.material[2].checked) material=0;	
	if(form.bases[0].checked) bases=2;
	if(form.bases[1].checked) bases=1;	
	if(form.bases[2].checked) bases=0;	
	
	if(sumasita!=suma) campoError(form.suma);		

/*	if((document.forma.libros[0].checked || document.forma.libros[1].checked)&& librost2>0) {
		alert("todo fine");
		error=1
		}
	*/
	
	if(error==1)
	{
		var texto="<img src='error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
		muestraMensaje(texto);
	}
	
	else
	{
		var texto="<img src='loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button style='width:60px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		muestraMensaje(texto);
		
		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("&librost1="+librost1+"&librost2="+librost2+"&librost3="+librost3+"&librosv1="+librosv1+"&librosv2="+librosv2+"&librosv3="+librosv3+"&publicacionest1="+ publicacionest1+"&publicacionest2="+ publicacionest2+"&publicacionest3="+ publicacionest3+"&publicacionesv1="+ publicacionesv1+"&publicacionesv2="+ publicacionesv2+"&publicacionesv3="+ publicacionesv3+"&tesis1="+ tesis1+"&tesis2="+ tesis2+"&tesis3="+ tesis3+"&documentos1="+ documentos1+"&documentos2="+ documentos2+"&documentos3="+ documentos3+"&mapas1="+ mapas1+"&mapas2="+ mapas2+"&mapas3="+ mapas3+"&micro1="+ micro1+"&micro2="+ micro2+"&micro3="+ micro3+"&diapositivas1="+ diapositivas1+"&diapositivas2="+ diapositivas2+"&diapositivas3="+ diapositivas3+"&peliculas1="+ peliculas1+"&peliculas2="+ peliculas2+"&peliculas3="+ peliculas3+"&discos1="+ discos1+"&discos2="+ discos2+"&discos3="+ discos3+"&video1="+ video1+"&video2="+ video2+"&video3="+ video3+"&cd1="+ cd1+"&cd2="+ cd2+"&cd3="+ cd3+"&digital1="+ digital1+"&digital2="+ digital2+"&digital3="+ digital3+"&disquetes1="+ disquetes1+"&disquetes2="+ disquetes2+"&disquetes3="+ disquetes3+"&librost="+ librost+"&publicacionest="+ publicacionest+"&tesis="+ tesis+"&documentos="+ documentos+"&mapas="+ mapas+"&material="+ material+"&bases="+ bases +"&suma="+ suma);

//

		ajax.onreadystatechange=function()
		{
		if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
				if(respuesta==1)
				{
				var texto="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='ok.gif' alt='Ok'><br>La información ha sido guardada.<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				}
				else var texto="<img src='error.gif'><br><br>Error: intente más tarde.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				
				muestraMensaje(texto);
//				muestraMensaje(respuesta);
			}
		}
	}
}

// Mensajes de ayuda

if(navigator.userAgent.indexOf("MSIE")>=0) navegador=0;
else navegador=1;

function colocaAyuda(event)
{
	if(navegador==0)
	{
		var corX=window.event.clientX+document.documentElement.scrollLeft;
		var corY=window.event.clientY+document.documentElement.scrollTop;
	}
	else
	{
		var corX=event.clientX+window.scrollX;
		var corY=event.clientY+window.scrollY;
	}
	cAyuda.style.top=corY+20+"px";
	cAyuda.style.left=corX+15+"px";
}

function ocultaAyuda()
{
	cAyuda.style.display="none";
	if(navegador==0) 
	{
		document.detachEvent("onmousemove", colocaAyuda);
		document.detachEvent("onmouseout", ocultaAyuda);
	}
	else 
	{
		document.removeEventListener("mousemove", colocaAyuda, true);
		document.removeEventListener("mouseout", ocultaAyuda, true);
	}
}

function muestraAyuda(event, campo)
{
	colocaAyuda(event);
	
	if(navegador==0) 
	{ 
		document.attachEvent("onmousemove", colocaAyuda); 
		document.attachEvent("onmouseout", ocultaAyuda); 
	}
	else 
	{
		document.addEventListener("mousemove", colocaAyuda, true);
		document.addEventListener("mouseout", ocultaAyuda, true);
	}
	
	cNombre.innerHTML=campo;
	cTex.innerHTML=ayuda[campo];
	cAyuda.style.display="block";
}